Sagamore's Intercom Application requires Microsoft Internet Explorer version 4 or above.

Click the logo to download Internet Explorer: